## org.apache.batik.dom.svg
Class SVGStylableElement.PresentationAttributeColorValue

    java.lang.Object
      org.apache.batik.css.dom.CSSOMSVGColor
          org.apache.batik.dom.svg.SVGStylableElement.PresentationAttributeColorValue

All Implemented Interfaces:
  CSSOMSVGColor.ValueProvider, LiveAttributeValue, org.w3c.dom.css.CSSValue, org.w3c.dom.css.RGBColor, org.w3c.dom.svg.SVGColor, org.w3c.dom.svg.SVGICCColor, org.w3c.dom.svg.SVGNumberList

Enclosing class:
  SVGStylableElement

    public class SVGStylableElement.PresentationAttributeColorValue

extends CSSOMSVGColor
implements LiveAttributeValue, CSSOMSVGColor.ValueProvider

To manage a presentation attribute SVGColor value.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`CSSOMSVGColor.AbstractComponent, CSSOMSVGColor.AbstractModificationHandler, CSSOMSVGColor.BlueComponent, CSSOMSVGColor.ColorNumber, CSSOMSVGColor.FloatComponent, CSSOMSVGColor.GreenComponent, CSSOMSVGColor.ModificationHandler, CSSOMSVGColor.RedComponent, CSSOMSVGColor.ValueProvider`

Field Summary
`protected CSSEngine` `cssEngine` The CSS engine.
`protected boolean` `mutate` Whether the mutation comes from this object.
`protected java.lang.String` `property` The property name.
`protected Value` `value` The value.

Fields inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`blueComponent, greenComponent, handler, iccColors, redComponent, valueProvider`

Fields inherited from interface org.w3c.dom.svg.SVGColor
`SVG_COLORTYPE_CURRENTCOLOR, SVG_COLORTYPE_RGBCOLOR, SVG_COLORTYPE_RGBCOLOR_ICCCOLOR, SVG_COLORTYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`SVGStylableElement.PresentationAttributeColorValue(CSSEngine eng, java.lang.String prop)` Creates a new PresentationAttributeColorValue.

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`Value` `getValue()` Returns the current value associated with this object.

Methods inherited from class org.apache.batik.css.dom.CSSOMSVGColor
`appendItem, clear, getBlue, getColorProfile, getColors, getColorType, getCssText, getCssValueType, getGreen, getIccColor, getICCColor, getItem, getNumberOfItems, getRed, getRgbColor, getRGBColor, initialize, insertItemBefore, removeItem, replaceItem, setColor, setColorProfile, setCssText, setModificationHandler, setRGBColor, setRGBColorICCColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cssEngine

    protected CSSEngine cssEngine

  The CSS engine.

### property

    protected java.lang.String property

  The property name.

### value

    protected Value value

  The value.

### mutate

    protected boolean mutate

  Whether the mutation comes from this object.

Constructor Detail

### SVGStylableElement.PresentationAttributeColorValue

    public SVGStylableElement.PresentationAttributeColorValue(CSSEngine eng,
                                                              java.lang.String prop)

  Creates a new PresentationAttributeColorValue.

Method Detail

### getValue

    public Value getValue()

  Returns the current value associated with this object.

  Specified by:
    `getValue` in interface `CSSOMSVGColor.ValueProvider`

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.